import { ObjectTypesService } from '../backend-api/index.js';
import { UmbControllerBase } from '../../../libs/class-api/index.js';
import { tryExecute } from '../resources/index.js';
export class UmbObjectTypeRepository extends UmbControllerBase {
    #host;
    constructor(host) {
        super(host);
        this.#host = host;
    }
    async #read() {
        return tryExecute(this.#host, ObjectTypesService.getObjectTypes({}));
    }
    async read() {
        const { data, error } = await this.#read();
        return { data, error };
    }
}
